Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06479 Sound Minor Always Jan 27, 2017, 03:04 Jun 19, 2017, 04:40
Tester Tafoid View Status Public Platform MAME (Official Binary)
Assigned To AJR Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver kchamp.cpp
Version 0.182 Fixed in Version 0.187 Build 64-bit
Summary 06479: kchampvs, kchampvs2, karatevs: ADPCM samples are distorted
Description There was change in source to add a "74LS157 Quad 2-to-1 Multiplexer" to accurately reflect sound but the new implementation has distortion/muffling of the samples
Steps To Reproduce
Additional Information Change here caused the issue:
https://github.com/mamedev/mame/pull/1951

Sound from original coinop linked there for comparison

Flags
Regression Version 0.182
Affected Sets / Systems kchampvs, kchampvs2, karatevs
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
1
User avatar
No.13563
AJR
Developer
Jan 28, 2017, 01:15
I've been able to fix this experimentally by improving the accuracy of VCK output. However, this will break a lot of other drivers that don't check the VCK state. The old implementation always outputs 1 on what is supposed to be the active low state, even though it's far more common for VCK to be directly hooked up to the clock input of a 7474 (as the kchampvs schematics indicate), which triggers on rising edge.